Public Member Functions | Public Attributes | List of all members
libpagemaker::PMDRecordContainer Struct Reference

`#include <PMDRecord.h>`

## Public Member Functions
| PMDRecordContainer (uint16_t recordType, uint32_t offset, unsigned seqNum, uint16_t numRecords)

## Public Attributes
uint16_t | m_recordType
uint32_t | m_offset
unsigned | m_seqNum
uint16_t | m_numRecords

## Constructor & Destructor Documentation

## ◆ PMDRecordContainer()

libpagemaker::PMDRecordContainer::PMDRecordContainer | ( | uint16_t | recordType,
|  | uint32_t | offset,
|  | unsigned | seqNum,
|  | uint16_t | numRecords
| ) |  |
| inline

## Member Data Documentation

## ◆ m_numRecords

uint16_t libpagemaker::PMDRecordContainer::m_numRecords

Referenced by libpagemaker::PMDParser::parseBitmap(), libpagemaker::PMDParser::parseColors(), libpagemaker::PMDParser::parseFonts(), libpagemaker::PMDParser::parsePages(), libpagemaker::PMDParser::parsePolygon(), libpagemaker::PMDParser::parseShapes(), libpagemaker::PMDParser::parseTextBox(), and libpagemaker::PMDParser::parseXforms().

## ◆ m_offset

uint32_t libpagemaker::PMDRecordContainer::m_offset

Referenced by libpagemaker::seekToRecord().

## ◆ m_recordType

uint16_t libpagemaker::PMDRecordContainer::m_recordType

Referenced by libpagemaker::seekToRecord().

## ◆ m_seqNum

unsigned libpagemaker::PMDRecordContainer::m_seqNum

The documentation for this struct was generated from the following file:

- PMDRecord.h